Skip to main content
`Ctrl`+`K`

# MATSEQSELL

MATSEQSELL = “seqsell” - A matrix type to be used for sequential sparse matrices, based on the sliced Ellpack format, [ZMRS18]

## Options Database Key

- -mat_type seqsell - sets the matrix type to “`MATSEQELL` during a call to `MatSetFromOptions()`

## References

[ZMRS18]

Hong Zhang, Richard T. Mills, Karl Rupp, and Barry F. Smith. Vectorized parallel sparse matrix-vector multiplication in PETSc using AVX-512. In Proceedings of the 47th International Conference on Parallel Processing. 2018.

## See Also

`Mat`, `MatCreateSeqSELL()`, `MATSELL`, `MATMPISELL`, `MATSEQAIJ`, `MATAIJ`, `MATMPIAIJ`

## Level

beginner

## Location

src/mat/impls/sell/seq/sell.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages